Class ModlMotion
Inheritance
System.Object
System.MarshalByRefObject
ModlMotion
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class ModlMotion : TaggedObject, IMessageSink, IComponentBuilder
Constructors
ModlMotion()
Declaration
Properties
AlignVector
Declaration
public Axis AlignVector { get; set; }
Property Value
AlongCurveAngle
Declaration
public ModlAlongCurveAngle AlongCurveAngle { get; }
Property Value
Angle
Declaration
public Expression Angle { get; }
Property Value
AngularAxis
Declaration
public Axis AngularAxis { get; set; }
Property Value
DeltaEnum
Declaration
public ModlMotion.Delta DeltaEnum { get; set; }
Property Value
DeltaX
Declaration
[Obsolete("Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaXc to query or edit it.")]
public double DeltaX { get; set; }
Property Value
Type |
Description |
System.Double |
|
DeltaXc
Declaration
public Expression DeltaXc { get; }
Property Value
DeltaY
Declaration
[Obsolete("Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaYc to query or edit it.")]
public double DeltaY { get; set; }
Property Value
Type |
Description |
System.Double |
|
DeltaYc
Declaration
public Expression DeltaYc { get; }
Property Value
DeltaZ
Declaration
[Obsolete("Deprecated in NX8.5.0. Obtain the expression using NXOpen.GeometricUtilities.ModlMotion.DeltaZc to query or edit it.")]
public double DeltaZ { get; set; }
Property Value
Type |
Description |
System.Double |
|
DeltaZc
Declaration
public Expression DeltaZc { get; }
Property Value
DistanceAngle
Declaration
public ModlDistanceAngle DistanceAngle { get; }
Property Value
DistanceBetweenPointsDistance
Declaration
public Expression DistanceBetweenPointsDistance { get; }
Property Value
DistanceBetweenPointsMeasurePoint
Declaration
public Point DistanceBetweenPointsMeasurePoint { get; set; }
Property Value
DistanceBetweenPointsOriginDistance
Declaration
public Expression DistanceBetweenPointsOriginDistance { get; }
Property Value
DistanceBetweenPointsOriginPoint
Declaration
public Point DistanceBetweenPointsOriginPoint { get; set; }
Property Value
DistanceBetweenPointsVector
Declaration
public Direction DistanceBetweenPointsVector { get; set; }
Property Value
DistanceValue
Declaration
public Expression DistanceValue { get; }
Property Value
DistanceVector
Declaration
public Direction DistanceVector { get; set; }
Property Value
EndPoint
Declaration
public Point EndPoint { get; set; }
Property Value
FromCsys
Declaration
public CoordinateSystem FromCsys { get; set; }
Property Value
FromPoint
Declaration
public Point FromPoint { get; set; }
Property Value
ManipulatorMatrix
Declaration
public Matrix3x3 ManipulatorMatrix { get; set; }
Property Value
ManipulatorOrigin
Declaration
public Point3d ManipulatorOrigin { get; set; }
Property Value
MoveHandle
Declaration
public bool MoveHandle { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Option
Declaration
public ModlMotion.Options Option { get; set; }
Property Value
OrientXpress
Declaration
public OrientXpressBuilder OrientXpress { get; }
Property Value
RadialAxis
Declaration
public Axis RadialAxis { get; set; }
Property Value
RadialDistance
Declaration
public Expression RadialDistance { get; }
Property Value
RadialMeasurePoint
Declaration
public Point RadialMeasurePoint { get; set; }
Property Value
RadialOriginDistance
Declaration
public Expression RadialOriginDistance { get; }
Property Value
RotateVector
Declaration
public Axis RotateVector { get; set; }
Property Value
StartPoint
Declaration
public Point StartPoint { get; set; }
Property Value
ToCsys
Declaration
public CoordinateSystem ToCsys { get; set; }
Property Value
ToPoint
Declaration
public Point ToPoint { get; set; }
Property Value
ToVector
Declaration
public Direction ToVector { get; set; }
Property Value
Methods
ResetMotionToThreeDimensions()
Declaration
public void ResetMotionToThreeDimensions()
SetDependentView(View)
Declaration
public void SetDependentView(View view)
Parameters
Type |
Name |
Description |
View |
view |
|
SetMotionToTwoDimensions(Plane)
Declaration
public void SetMotionToTwoDimensions(Plane plane)
Parameters
Type |
Name |
Description |
Plane |
plane |
|
SetUpdateOption(SmartObject.UpdateOption)
Declaration
public void SetUpdateOption(SmartObject.UpdateOption option)
Parameters
Validate()
Declaration
Returns
Type |
Description |
System.Boolean |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink